SoIdleSensor(3)

NAME
SoIdleSensor - The SoIdleSensor class is a sensor which will trigger as soon as the application is idle.

SYNOPSIS

#include <Inventor/sensors/SoIdleSensor.h>

Inherits SoDelayQueueSensor.

  Public Member Functions
SoIdleSensor (void)
SoIdleSensor (SoSensorCB *func, void *data)
virtual ~SoIdleSensor (void)
Public Member Functions inherited from SoDelayQueueSensor
SoDelayQueueSensor (void)
SoDelayQueueSensor (SoSensorCB *func, void *data)
virtual ~SoDelayQueueSensor (void)
void setPriority (uint32_t pri)
uint32_t getPriority (void) const
virtual void schedule (void)
virtual void unschedule (void)
virtual SbBool isScheduled (void) const
virtual void trigger (void)
Public Member Functions inherited from SoSensor
SoSensor (void)
SoSensor (SoSensorCB *func, void *data)
virtual ~SoSensor (void)
void setFunction (SoSensorCB *callbackfunction)
SoSensorCBPtr getFunction (void) const
void setData (void *callbackdata)
void * getData (void) const
void setNextInQueue (SoSensor *next)
SoSensor * getNextInQueue (void) const

  Additional Inherited Members
Static Public Member Functions inherited from SoDelayQueueSensor
static uint32_t getDefaultPriority (void)
Static Public Member Functions inherited from SoSensor
static void initClass (void)
Protected Attributes inherited from SoDelayQueueSensor
SbBool scheduled
Protected Attributes inherited from SoSensor
SoSensorCB * func
void * funcData

Detailed Description

The SoIdleSensor class is a sensor which will trigger as soon as the application is idle. An SoIdleSensor differs from an SoOneShotSensor in that it will not trigger if the delay queue processing is occurring due to the delay queue timeout, but only when the application is idle.

See also
    SoDB::setDelaySensorTimeout()

Constructor & Destructor Documentation

  SoIdleSensor::SoIdleSensor (void )
Default constructor.

  SoIdleSensor::SoIdleSensor (SoSensorCB * func, void * data)
Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
    setFunction(), setData()

  SoIdleSensor::~SoIdleSensor (void ) [virtual]
Destructor.

Author

Generated automatically by Doxygen for Coin from the source code.